Bienvenue, Invité
Nom d'utilisateur : Mot de passe : Se souvenir de moi
  • Page :
  • 1

SUJET :

Bug script install.sh il y a 1 mois 4 semaines #5899

  • JMR59175
  • Portrait de JMR59175 Auteur du sujet
  • Hors Ligne
  • COM_KUNENA_SAMPLEDATA_RANK2
  • COM_KUNENA_SAMPLEDATA_RANK2
  • Messages : 39
  • Remerciements reçus 7
Bonjour
Souhaitant repasser sous Linux car ras le bol des bugs et des mises à jour de Windows, j'ai installé Ubuntu sur mon ordi Linux en dual-boot. ( Linux va bien plus vite ! )
J'ai téléchargé le script pour installer Diacamma et j'ai eu une première erreur :
Error: Not Python 3.7, 3.8, 3.9, 3.10 or 3.11 (but 3.12) !
J'ai modifié le script pour supprimer l'erreur et j'ai maintenant l'erreur suivante :
./install.sh: ligne 90 : [: argument attendu
python3 -m pip install -U pip==24.0 virtualenv
error: externally-managed-environment

× This environment is externally managed
╰─> To install Python packages system-wide, try apt install
python3-xyz, where xyz is the package you are trying to
install.

If you wish to install a non-Debian-packaged Python package,
create a virtual environment using python3 -m venv path/to/venv.
Then use path/to/venv/bin/python and path/to/venv/bin/pip. Make
sure you have python3-full installed.

If you wish to install a non-Debian packaged Python application,
it may be easiest to use pipx install xyz, which will manage a
virtual environment for you. Make sure you have pipx installed.

See /usr/share/doc/python3.12/README.venv for more information

Un grand merci à celui qui pourra m'aider !

S'il vous plaît Connexion ou Créer un compte à se joindre à la conversation.

Dernière édition: par lag.

Bug script install.sh il y a 1 mois 3 semaines #5924

  • lag
  • Portrait de lag
  • Hors Ligne
  • COM_KUNENA_SAMPLEDATA_RANK_ADMIN
  • COM_KUNENA_SAMPLEDATA_RANK_ADMIN
  • Messages : 2016
  • Karma: 8
  • Remerciements reçus 505
Bonjour,

En effet, Python 3.12 n'est pas encore supporté par Diacamma.
Je vous invite à installer Python 3.11 ou 3.10 sur votre Linux (plusieurs versions cohabites très bien)

S'il vous plaît Connexion ou Créer un compte à se joindre à la conversation.

Laurent
Principale contributeur (Développeur) à Diacamma
Administrateur de Sleto partenaire officiel de Diacamma : support et hébergement en ligne.

Bug script install.sh il y a 1 mois 2 semaines #5939

  • JMR59175
  • Portrait de JMR59175 Auteur du sujet
  • Hors Ligne
  • COM_KUNENA_SAMPLEDATA_RANK2
  • COM_KUNENA_SAMPLEDATA_RANK2
  • Messages : 39
  • Remerciements reçus 7
Bonjour
Ubuntu mettant toujours Python à jour vers la 3.12, j'ai installé une Debian.
Le script ne fonctionne pas également.
J'ai utilisé le script dans le lien ci-dessous
www.diacamma.org/forum/linux/1534-proble...a-niveau-debian#5600
et tout a fonctionné à merveille !

S'il vous plaît Connexion ou Créer un compte à se joindre à la conversation.

  • Page :
  • 1
Temps de génération de la page : 0.136 secondes
Propulsé par Kunena

Qui sommes nous?

Le sanglier du Libre

Association éditant le logiciel Diacamma
12 rue Marius Charles
38420 Domène
France

Partenaire

SLETO

Si vous recherchez du support ou une solution d'hébergement pour Diacamma, faite confiance à SLETO, notre partenaire officiel